Daemon Power

The NetBSD Packages Collection: misc/ruby-ohai

Brief description of the package:
Ohai profiles your system and emits JSON

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/opscode/ohai.

Please note that this package has a apache-2.0 license.

The package is located in the "misc/ruby-ohai" directory. The current source version of the package is "ruby23-ohai-13.4.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for misc/ruby-ohai :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby23-systemu>=2.6.4<2.7 ruby23-base>=2.3.5 libyaml>=0.1.1 cwrappers>=20150314 libyaml>=0.1.4 ruby23-ffi>=1.9<2 libffi>=1.20 libffi>=3.0.11 ruby23-ffi-yajl>=2.2<3 ruby23-libyajl2>=1.2 yajl>=1.0.9 ruby23-mixlib-cli>=1.5.0 ruby23-mixlib-config>=2.1.0 ruby23-mixlib-log>=1.6.0<2.0 ruby23-mixlib-shellout>=2.0<3 ruby23-plist>=3.1<4 ruby23-ipaddress>=0.8.0 ruby23-wmi-lite>=1.0<2 ruby23-chef-config<14 ruby23-mixlib-config>=2.0<3 ruby23-fuzzyurl>=0 ruby23-addressable>=0 ruby23-public_suffix>=2.0.2 .

This package requires the following package(s) to run: ruby23-systemu>=2.6.4<2.7 ruby23-base>=2.3.5 libyaml>=0.1.1 libyaml>=0.1.4 ruby23-ffi>=1.9<2 libffi>=1.20 libffi>=3.0.11 ruby23-ffi-yajl>=2.2<3 ruby23-libyajl2>=1.2 yajl>=1.0.9 ruby23-mixlib-cli>=1.5.0 ruby23-mixlib-config>=2.1.0 ruby23-mixlib-log>=1.6.0<2.0 ruby23-mixlib-shellout>=2.0<3 ruby23-plist>=3.1<4 ruby23-ipaddress>=0.8.0 ruby23-wmi-lite>=1.0<2 ruby23-chef-config<14 ruby23-mixlib-config>=2.0<3 ruby23-fuzzyurl>=0 ruby23-addressable>=0 ruby23-public_suffix>=2.0.2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby21-ohai-8.12.1.tgz(NetBSD 7.0)
alpha:ruby22-ohai-8.12.1.tgz(NetBSD 7.0)
alpha:ruby23-ohai-8.12.1.tgz(NetBSD 7.0)
alpha:ruby200-ohai-8.4.0.tgz(NetBSD 7.0)
alpha:ruby21-ohai-8.4.0.tgz(NetBSD 7.0)
alpha:ruby200-ohai-8.8.1.tgz(NetBSD 7.0)
alpha:ruby21-ohai-8.8.1.tgz(NetBSD 7.0)
alpha:ruby22-ohai-8.8.1.tgz(NetBSD 7.0)
alpha:ruby23-ohai-13.1.0.tgz(NetBSD 8.0)
alpha:ruby24-ohai-13.1.0.tgz(NetBSD 8.0)
earm:ruby200-ohai-8.8.1.tgz(NetBSD 7.0)
earm:ruby22-ohai-8.8.1.tgz(NetBSD 7.0)
earm:ruby200-ohai-8.1.1.tgz(NetBSD 7.0)
earm:ruby21-ohai-8.1.1.tgz(NetBSD 7.0)
earm:ruby200-ohai-8.8.1.tgz(NetBSD 7.0)
earm:ruby21-ohai-8.8.1.tgz(NetBSD 7.0)
earm:ruby22-ohai-8.8.1.tgz(NetBSD 7.0)
earmv6hf:ruby200-ohai-8.1.1.tgz(NetBSD 7.0)
earmv6hf:ruby21-ohai-8.1.1.tgz(NetBSD 7.0)
earmv6hf:ruby200-ohai-8.8.1.tgz(NetBSD 7.0)
earmv6hf:ruby21-ohai-8.8.1.tgz(NetBSD 7.0)
earmv6hf:ruby22-ohai-8.8.1.tgz(NetBSD 7.0)
earmv7hf:ruby200-ohai-8.8.1.tgz(NetBSD 7.0)
earmv7hf:ruby21-ohai-8.8.1.tgz(NetBSD 7.0)
earmv7hf:ruby22-ohai-8.8.1.tgz(NetBSD 7.0)
earmv7hf:ruby200-ohai-8.4.0.tgz(NetBSD 7.99.21)
earmv7hf:ruby21-ohai-8.4.0.tgz(NetBSD 7.99.21)
earmv7hf:ruby22-ohai-8.4.0.tgz(NetBSD 7.0)
earmv7hf:ruby23-ohai-13.1.0.tgz(NetBSD 8.0_BETA)
i386:ruby23-ohai-13.4.0.tgz(NetBSD 6.0)
i386:ruby24-ohai-13.4.0.tgz(NetBSD 6.0)
i386:ruby21-ohai-8.12.1.tgz(NetBSD 6.0)
i386:ruby22-ohai-8.12.1.tgz(NetBSD 6.0)
i386:ruby23-ohai-8.12.1.tgz(NetBSD 6.0)
i386:ruby21-ohai-8.23.0.tgz(NetBSD 6.0)
i386:ruby22-ohai-8.23.0.tgz(NetBSD 6.0)
i386:ruby23-ohai-8.23.0.tgz(NetBSD 6.0)
i386:ruby23-ohai-13.1.0.tgz(NetBSD 6.0)
i386:ruby24-ohai-13.1.0.tgz(NetBSD 6.0)
i386:ruby21-ohai-8.12.1.tgz(NetBSD 7.0)
i386:ruby22-ohai-8.12.1.tgz(NetBSD 7.0)
i386:ruby23-ohai-8.12.1.tgz(NetBSD 7.0)
i386:ruby21-ohai-8.21.0.tgz(NetBSD 7.0)
i386:ruby22-ohai-8.21.0.tgz(NetBSD 7.0)
i386:ruby23-ohai-8.21.0.tgz(NetBSD 7.0)
i386:ruby21-ohai-8.23.0.tgz(NetBSD 7.0)
i386:ruby22-ohai-8.23.0.tgz(NetBSD 7.0)
i386:ruby23-ohai-8.23.0.tgz(NetBSD 7.0)
i386:ruby23-ohai-13.1.0.tgz(NetBSD 7.0)
i386:ruby24-ohai-13.1.0.tgz(NetBSD 7.0)
powerpc:ruby24-ohai-13.1.0.tgz(NetBSD 6.1)
powerpc:ruby200-ohai-8.8.1.tgz(NetBSD 7.0)
powerpc:ruby21-ohai-8.8.1.tgz(NetBSD 7.0)
powerpc:ruby22-ohai-8.8.1.tgz(NetBSD 7.0)
powerpc:ruby23-ohai-13.1.0.tgz(NetBSD 7.1)
powerpc:ruby24-ohai-13.1.0.tgz(NetBSD 7.1)
powerpc:ruby23-ohai-13.4.0.tgz(NetBSD 7.1)
powerpc:ruby24-ohai-13.4.0.tgz(NetBSD 7.1)
powerpc:ruby23-ohai-13.1.0.tgz(NetBSD 8.0)
powerpc:ruby24-ohai-13.1.0.tgz(NetBSD 8.0)
sparc64:ruby200-ohai-8.1.1.tgz(NetBSD 7.0)
sparc64:ruby200-ohai-8.4.0.tgz(NetBSD 7.0)
sparc64:ruby200-ohai-8.8.1.tgz(NetBSD 7.0)
sparc64:ruby21-ohai-8.4.0.tgz(NetBSD 7.0)
sparc64:ruby21-ohai-8.8.1.tgz(NetBSD 7.0)
sparc:ruby193-ohai-7.0.4.tgz(NetBSD 6.0)
sparc:ruby200-ohai-7.0.4.tgz(NetBSD 6.0)
x86_64:ruby23-ohai-13.4.0.tgz(NetBSD 6.0)
x86_64:ruby24-ohai-13.4.0.tgz(NetBSD 6.0)
x86_64:ruby21-ohai-8.12.1.tgz(NetBSD 6.0)
x86_64:ruby22-ohai-8.12.1.tgz(NetBSD 6.0)
x86_64:ruby23-ohai-8.12.1.tgz(NetBSD 6.0)
x86_64:ruby21-ohai-8.23.0.tgz(NetBSD 6.0)
x86_64:ruby22-ohai-8.23.0.tgz(NetBSD 6.0)
x86_64:ruby23-ohai-8.23.0.tgz(NetBSD 6.0)
x86_64:ruby23-ohai-13.1.0.tgz(NetBSD 6.0)
x86_64:ruby24-ohai-13.1.0.tgz(NetBSD 6.0)
x86_64:ruby23-ohai-13.4.0.tgz(NetBSD 6.1)
x86_64:ruby24-ohai-13.4.0.tgz(NetBSD 6.1)
x86_64:ruby21-ohai-8.12.1.tgz(NetBSD 6.1)
x86_64:ruby22-ohai-8.12.1.tgz(NetBSD 6.1)
x86_64:ruby23-ohai-8.12.1.tgz(NetBSD 6.1)
x86_64:ruby21-ohai-8.21.0.tgz(NetBSD 6.1)
x86_64:ruby22-ohai-8.21.0.tgz(NetBSD 6.1)
x86_64:ruby23-ohai-8.21.0.tgz(NetBSD 6.1)
x86_64:ruby21-ohai-8.23.0.tgz(NetBSD 6.1)
x86_64:ruby22-ohai-8.23.0.tgz(NetBSD 6.1)
x86_64:ruby23-ohai-8.23.0.tgz(NetBSD 6.1)
x86_64:ruby23-ohai-13.1.0.tgz(NetBSD 6.1)
x86_64:ruby24-ohai-13.1.0.tgz(NetBSD 6.1)
x86_64:ruby23-ohai-13.4.0.tgz(NetBSD 7.0)
x86_64:ruby24-ohai-13.4.0.tgz(NetBSD 7.0)
x86_64:ruby21-ohai-8.12.1.tgz(NetBSD 7.0)
x86_64:ruby22-ohai-8.12.1.tgz(NetBSD 7.0)
x86_64:ruby23-ohai-8.12.1.tgz(NetBSD 7.0)
x86_64:ruby21-ohai-8.21.0.tgz(NetBSD 7.0)
x86_64:ruby22-ohai-8.21.0.tgz(NetBSD 7.0)
x86_64:ruby23-ohai-8.21.0.tgz(NetBSD 7.0)
x86_64:ruby21-ohai-8.23.0.tgz(NetBSD 7.0)
x86_64:ruby22-ohai-8.23.0.tgz(NetBSD 7.0)
x86_64:ruby23-ohai-8.23.0.tgz(NetBSD 7.0)
x86_64:ruby23-ohai-13.1.0.tgz(NetBSD 7.0)
x86_64:ruby24-ohai-13.1.0.tgz(NetBSD 7.0)
x86_64:ruby23-ohai-13.1.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby24-ohai-13.1.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-ohai-13.1.0.tgz(NetBSD 8.99.1)
x86_64:ruby24-ohai-13.1.0.tgz(NetBSD 8.99.1)
x86_64:ruby23-ohai-13.1.0.tgz(NetBSD 8.99.1)
x86_64:ruby24-ohai-13.1.0.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]